Bug 446511 - ypbind fails to bind to NIS server
ypbind fails to bind to NIS server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
9
All Linux
low Severity urgent
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 17:38 EDT by Vaggelis Meintanis
Modified: 2009-07-14 14:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vaggelis Meintanis 2008-05-14 17:38:31 EDT
Description of problem:

I have just performed a clean install of Fedora 9 on one of our production
systems. We use NFS and NIS served by a Redhat server. NIS was set up using the
gui at boot time, but no users are found. Fedora 8 machines in the same network
with identical settings operate smoothly.

service ypbind restart

takes several seconds in the binding to NIS server step, but produces OK signs
in all steps. Still, no users can be found or authenticated.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Use the gui to set up the machine as an NIS client
2. Reboot or restart ypbind
  
Actual results:

No NIS users can be found or authenticated

Expected results:

login screen should provide a list of NIS users and they should be able to log
into the machine and be authenticated

Additional info:
Comment 1 Jussi Eloranta 2008-05-15 19:02:22 EDT
I managed to get into similar situation. In my case I wanted the network to be
brought up by /etc/rc.d/init.d/network (I am assuming that in Fedora 9 the
network manager does all this since this was disabled in my system after
installation). Anyway, I enabled the network script and after that ypbind stops
working. It works properly if given -no-dbus flag.
Comment 2 Vaggelis Meintanis 2008-05-15 20:28:42 EDT
Hi,

Whatever happened to the network, was not well implemented.

I am not that familiar with init scripts. How do I give the -no-dbus flag? Is 
it somewhere in the /etc/rc.d/init.d/ypbind script? Will there be an official 
update about that?

Thank you for your help!
Comment 3 Vitezslav Crhonek 2008-05-16 06:49:20 EDT
Hi,

please read bug #443409 comments and tell me, if it helps.
Comment 4 Vitezslav Crhonek 2008-05-19 09:21:11 EDT
Vaggelis,

I see there is no NIS user in gdm login menu...
When you setup machine as NIS client, is NIS connectivity working? Are results
of ypmatch, getent, ypwhich, ... commands same as you expect? If so, I think the
problem is in gdm, not in NIS.
Please try if it's possible to log in as one of NIS user you remember (using
Other... gdm button).

Jussi,

/etc/init.d/network is disabled by default, NetworkManager is used. As it's
mentioned in bug #443409 comments, if you use NetworkManager, it's good idea to
put NETWORKWAIT=yes to /etc/sysconfig/network (otherwise it may happen, that
ypbind starts before network is ready). In both cases, ypbind should work fine
without "-no-dbus" flag, so please check it one more time and if I'm wrong, let
me know details.
Comment 5 Vaggelis Meintanis 2008-05-20 19:00:22 EDT
Hi Vitezslav,

I did not complain yet about the gdm login screen, although I too cannot see any
NIS users in the gdm login menu. When ypbind does work (see next paragraph of
comments), the Other... button allows me to log in as an NIS user. Therefore
there is an issue with gdm I guess.

About ypbind now, I did try to add the NETWORKWAIT=yes to
/etc/sysconfig/network, and removed the -no-dbus option from /etc/init.d/ypbind.
Again, NIS failed to bind, the only difference being that this time at least it
did give a FAIL message during boot. Without the NETWORKWAIT=yes option the
"binding to NIS server" message was OK during boot time.

So far, the only thing that makes NIS work for me is to just set the -no-dbus
option in /etc/init.d/ypbind.

Thank you for your help,
Vaggelis

P.S. I see that a previous submission by me has somehow not appeared in this
bug. Probably messed up. Was reporting my success with the -no-dbus option.
Comment 6 Vaggelis Meintanis 2008-05-20 19:05:40 EDT
One more thing...

I have tried reseting priorities, per bug #443409, but that has predictably
(mine is a clean install) changed nothing.

Cheers,
Vaggelis
Comment 7 Vitezslav Crhonek 2008-05-26 11:18:54 EDT
Hi Vaggelis,

See bug #447307. There was issue with timing in ypbind init script. You can try
ypbind-1.20.4-5.fc9 from testing repository without -no-debus option again. If
it fails, there should be message (ypbind - lost connection to d-bus or
something similar) in /var/log/messages.

I'll put gdm maintainer to CC, hope he'll tell us more about gdm related problem.

Comment 8 Nils Philippsen 2008-05-26 12:18:59 EDT
Same here (with old version). Perhaps ypbind should check whether NetworkManager
is actually running (instead of dbus). Maybe by querying the
org.freedesktop.NetworkManager dbus name?
Comment 9 Bug Zapper 2009-06-09 20:49:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 14:24:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.